/* The gallery overlay */

.galleryOverlay {
	width:100%;
	height:100%;
	position:fixed;
	top:0;
	left:0;
	opacity:0;
	z-index:1000;
    background-color:rgba(255, 255, 255, 255);
	overflow:hidden;
	display:none;
	
	-moz-transition:opacity 1s ease;
	-webkit-transition:opacity 1s ease;
	transition:opacity 1s ease;
}

/* This class will trigger the animation */

.galleryOverlay.visible{
	opacity: 1;
	-moz-transition:opacity 0.2s ease;
	-webkit-transition:opacity 0.2s ease;
	transition:opacity 0.2s ease;
}

#gallerySlider{
	height:100%;
	
	left:0;
	top:0;
	
	width:100%;
	white-space: nowrap;
	position:absolute;
	
	-moz-transition:left 0.4s ease;
	-webkit-transition:left 0.4s ease;
	transition:left 0.4s ease;
}

#gallerySlider .placeholder{
	background: url("spinner.gif") no-repeat center center;
	height: 100%;
	line-height: 1px;
	text-align: center;
	width:100%;
	display:inline-block;
}

/* The before element moves the
 * image halfway from the top */

#gallerySlider .placeholder:before{
	content: "";
	display: inline-block;
	height: 50%;
	width: 1px;
	margin-right:-1px;
}

#gallerySlider .placeholder img{
	display: inline-block;
	max-height: 90%;
	max-width: 90%;
	vertical-align: middle;
}

#gallerySlider.rightSpring{
	-moz-animation: rightSpring 0.3s;
	-webkit-animation: rightSpring 0.3s;
}

#gallerySlider.leftSpring{
	-moz-animation: leftSpring 0.3s;
	-webkit-animation: leftSpring 0.3s;
}

#imageTitle {
	position: fixed;
	left: 50%;
	bottom: 5%;
	-webkit-transform: translateX(-50%);
	transform: translateX(-50%);
}

/* Firefox Keyframe Animations */

@-moz-keyframes rightSpring{
	0%{		margin-left:0px;}
	50%{	margin-left:-30px;}
	100%{	margin-left:0px;}
}

@-moz-keyframes leftSpring{
	0%{		margin-left:0px;}
	50%{	margin-left:30px;}
	100%{	margin-left:0px;}
}

/* Safari and Chrome Keyframe Animations */

@-webkit-keyframes rightSpring{
	0%{		margin-left:0px;}
	50%{	margin-left:-30px;}
	100%{	margin-left:0px;}
}

@-webkit-keyframes leftSpring{
	0%{		margin-left:0px;}
	50%{	margin-left:30px;}
	100%{	margin-left:0px;}
}

/* Arrows */

#prevArrow,#nextArrow,#closeArrow{
	border:none;
	text-decoration:none;
	background:url('arrows3.png') no-repeat;
	opacity:0.8;
	cursor:pointer;
	position:absolute;
	width:30px;
	height:40px;
	
	top:50%;
	margin-top:-29px;
	
	-moz-transition:opacity 0.2s ease;
	-webkit-transition:opacity 0.2s ease;
	transition:opacity 0.2s ease;
}

#prevArrow:hover, #nextArrow:hover{
	opacity:1;
}

#prevArrow{
	background-position:left top;
	left:40px;
}

#nextArrow{
	background-position:right top;
	right:40px;
}
#closeArrow{
	background-position:center center;
	right:30px;
	top: 50px;
}



@media handheld, only screen and (max-width: 950px) { 		/* Small Screens, Tablets */

	#prevArrow, #nextArrow { display: none !important; }
	
	#closeArrow { top: auto; bottom: 3px; right: 50%; transform: translateX(50%); -webkit-transform: translateX(50%); }
	
}